<app-header-breadcrumb></app-header-breadcrumb>


<form [formGroup]='listUserform' (ngSubmit)='onClickSearch()'>
  <p-panel header="{{ 'bundle.label.list' | translate }} {{ 'bundle.label.users' | translate }}">
    <div class='p-grid'>
      <div class='p-col-12'>
        <p-autoComplete formControlName='users' [suggestions]='users' (completeMethod)='filterSPUserSingle($event)'
          field='username' [size]='30' placeholder="{{ 'bundle.label.users' | translate }}" [minLength]='1' [multiple]='false'>

        </p-autoComplete>
      </div>
      <div class='p-col-12'>
        <p-radioButton name='groupname' value="Active" formControlName='status' label="{{ 'bundle.label.active' | translate }}" ></p-radioButton>

        <p-radioButton name='groupname' value="Inactive" formControlName='status' label="{{ 'bundle.label.inactive' | translate }}"></p-radioButton>
      </div>

    </div>
  </p-panel>
  <p-footer>
      <div class='p-grid'>
        <div class='p-col-3'>
          <button pButton type='submit' label="{{ 'bundle.label.search' | translate }}"  icon="pi pi-search"  class='ui-button-raised' [disabled]='!listUserform.valid'></button>
        </div>
        <div class='p-col-3'>
            <button pButton type='submit' label="{{ 'bundle.label.new' | translate }}" icon="pi pi-user-plus" class="ui-button-success" (click)="onRowEditInit(null)" ></button>
        </div>
      </div>
    </p-footer>
</form>

<p-table [columns]="cols" [value]="usersList" [lazy]="true" (onLazyLoad)="onPageChanged($event)" [paginator]="true"
    [rows]="5" [totalRecords]="totalRecords" [loading]="loading">
    <ng-template pTemplate="header" let-columns>
        <tr>
            <th *ngFor="let col of columns">
                {{ col.header | translate }}
            </th>
            <th style="width:8em">
              {{ 'bundle.label.date_change' | translate }}
            </th>
            <th style="width:8em">
                {{ 'bundle.label.status' | translate }}
            </th>
            <th style="width:8em">
              {{ 'bundle.label.edit' | translate }}
            </th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-rowData let-columns="columns">
        <tr>
            <td *ngFor="let col of columns">
                {{rowData[col.field]}}
            </td>
            <td style="text-align:center">
              {{rowData['dateChange'] | date:"dd/MM/yyyy HH:mm:ss"}}
          </td>
            <td style="text-align:center">
                <button pButton type="button" icon="{{rowData['status'] === 'A' ?  'fa fa-thumbs-up' : 'fa fa-thumbs-down' }}"
                 class="{{rowData['status'] === 'A' ?  'ui-button-success' : 'ui-button-danger' }}"
                 (click)="confirmChangeStatus(rowData)"></button>
            </td>
            <td style="text-align:center">
              <button pButton type="button" icon="pi pi-pencil" class="ui-button-info" (click)="onRowEditInit(rowData)"></button>
            </td>
        </tr>
    </ng-template>
</p-table>

<!--<app-user [display]="display" [userSelected]="userSelected" #userDialog></app-user>-->

<p-dialog header="{{header | translate }} {{'bundle.label.user' | translate }}  " [(visible)]="display" [responsive]="true" showEffect="fade" [modal]="true"
[closable]="false" [style]="{width: '400px'}">
  <form [formGroup]="userform" (ngSubmit)="save()">

    <div class="p-grid p-justify-center p-align-center">
      <div class="p-col-12">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-user"></i></span>
          <input id="float-input-username" type="text" size="30" pInputText formControlName="name" placeholder="{{ 'bundle.label.name' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-12" *ngIf="userform.controls['name'].errors && userform.controls['name'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.name.is.required' | translate }}" *ngIf="userform.controls['name'].errors['required']"></p-message>
      </div>

      <div class="p-col-12">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-user"></i></span>
          <input id="float-input-username" type="text" size="30" pInputText formControlName="username" placeholder="{{ 'bundle.label.username' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-12" *ngIf="userform.controls['username'].errors && userform.controls['username'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.username.is.required' | translate }}" *ngIf="userform.controls['username'].errors['required']"></p-message>
      </div>

      <div class="p-col-12">
        <div class="ui-inputgroup">
          <span class="ui-inputgroup-addon"><i class="fa fa-at"></i></span>
          <input id="float-input-email" type="email" size="30" pInputText formControlName="email" placeholder="{{ 'bundle.label.email' | translate }}"
            required>
        </div>
      </div>
      <div class="p-col-12" *ngIf="userform.controls['email'].errors && userform.controls['email'].dirty">
        <p-message severity="error" text="{{ 'bundle.mesage.email.is.required' | translate }}" *ngIf="userform.controls['email'].errors['required']"></p-message>
        <p-message severity="error" text="{{ 'bundle.mesage.email.is.invalid' | translate }}" *ngIf="userform.controls['email'].errors['email']"></p-message>
      </div>

    </div>
    <p-footer>
      <div class="p-grid">
        <div class="p-col-6">
          <button pButton type="submit" label="{{ 'bundle.label.save' | translate }}" class="ui-button-raised" [disabled]="!userform.valid"></button>
        </div>
        <div class="p-col-6">
          <button type="button" pButton icon="fa fa-close" (click)="cancel($event)" label="{{ 'bundle.label.cancel' | translate }}"></button>
        </div>
      </div>
    </p-footer>

  </form>
</p-dialog>

<p-confirmDialog [style]="{width: '50vw'}"></p-confirmDialog>

